module Pkgman
  module Repositories
    class Local

      def initialize(target, repository, package)
        @target = target
        @repository = repository
        @package = package
      end

      def execute
        dst = File.expand_path(@repository['path'])
        FileUtils.mkpath(dst)
        @target.download(@package.path, dst)
      end

    end
  end
end