module Pkgman
  module Repositories

    class PackageCloud

      def initialize(target, repository, package)
        @target = target
        @repository = repository
        @package = package
      end

      def execute
        url = File.join("https://#{@repository['token']}:@packagecloud.io/api/v1/repos/#{@repository['user']}/#{@repository['repository']}/packages.json")
        command = "curl -X POST -F package[distro_version_id]=140 -F package[package_file]=@#{@package.path} #{url}"
        @target.execute(command)
      end

    end

  end
end